%define anolis_release 1
%global pypi_name cloudpathlib
%global pypi_version 0.17.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        pathlib-style classes for cloud storage services.

License:        MIT
URL:            https://github.com/drivendataorg/cloudpathlib
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python pathlib-style classes for cloud storage services such as Amazon S3, 
Azure Blob Storage, and Google Cloud Storage.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python pathlib-style classes for cloud storage services such as Amazon S3, 
Azure Blob Storage, and Google Cloud Storage.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Sun Feb 04 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.17.0-1
- Initial package.